# enid keys

#### `enid keys`

```ansi
Keyring management commands. These keys can be in any format supported by the Tendermint cryptography library and can be used by light clients, full nodes, or any other applications that require private key signing.

The keyring supports the following backends:

    os          Uses the operating system's default credential store.
    file        Uses an encrypted file keystore in the application configuration directory.
                A password will be requested each time this keyring is accessed, which may lead to repeated password prompts within a single command.
    kwallet     Uses KDE Wallet Manager as a credential management application.
    pass        Uses the pass command line tool to store and retrieve keys.
    test        Unsafely stores keys to disk. It will not prompt for a password to unlock; should only be used for testing purposes.

The kwallet and pass backends rely on external tools. For more information, refer to their respective documentation:

    KWallet     https://github.com/KDE/kwallet
    pass        https://www.passwordstore.org/

The pass backend requires GnuPG: https://gnupg.org/

Usage:
  enid keys [command]

Available Commands:
  add         Add an encrypted private key (newly generated or recovered) and save it to <name>
  delete      Delete the specified key
  export      Export the private key
  import      Import a private key into the local keystore
  list        List all keys
  mnemonic    Generate a BIP39 mnemonic from some input entropy
  parse       Parse an address from hex to bech32 and vice versa
  show        Retrieve key information by name or address

Flags:
  -h, --help                     Help information for keys
      --home string              Application home directory (default "~/.eni")
      --keyring-backend string   Choose the backend for the keyring (os|file|test) (default "os")
      --keyring-dir string       Client keyring directory; if omitted, the default "home" directory will be used
      --output string            Output format (text|json) (default "text")

Global Flags:
      --log_format string   Log format (json|plain)
      --log_level string    Log level (trace|debug|info|warn|error|fatal|panic)
      --trace               Print the full stack trace on error

Use "enid keys [command] --help" for more information about a command.
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eniac.network/reference/cli/enid-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
